diff -Nru audiofile-0.2.6/Makefile.am audiofile-0.2.7/Makefile.am
--- audiofile-0.2.6/Makefile.am	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/Makefile.am	2010-03-15 10:55:22.000000000 +0100
@@ -6,13 +6,13 @@
 SRC_SUBDIRS = libaudiofile sfcommands test examples
 SUBDIRS = $(SRC_SUBDIRS) docs win32
 
-EXTRA_DIST= \
+EXTRA_DIST = \
 	ACKNOWLEDGEMENTS \
 	NOTES \
 	README \
 	TODO \
 	COPYING.GPL \
-	configure configure.in\
+	configure configure.ac \
 	audiofile.m4 \
 	audiofile.spec.in \
 	audiofile.pc.in
diff -Nru audiofile-0.2.6/missing audiofile-0.2.7/missing
--- audiofile-0.2.6/missing	2001-10-19 05:28:04.000000000 +0200
+++ audiofile-0.2.7/missing	2006-03-23 07:16:37.000000000 +0100
@@ -1,6 +1,10 @@
 #! /bin/sh
 # Common stub for a few missing GNU programs while installing.
-# Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
+
+scriptversion=2004-09-07.08
+
+# Copyright (C) 1996, 1997, 1999, 2000, 2002, 2003, 2004
+#   Free Software Foundation, Inc.
 # Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
 
 # This program is free software; you can redistribute it and/or modify
@@ -38,18 +42,24 @@
   configure_ac=configure.in
 fi
 
+msg="missing on your system"
+
 case "$1" in
 --run)
   # Try to run requested program, and just exit if it succeeds.
   run=
   shift
   "$@" && exit 0
+  # Exit code 63 means version mismatch.  This often happens
+  # when the user try to use an ancient version of a tool on
+  # a file that requires a minimum version.  In this case we
+  # we should proceed has if the program had been absent, or
+  # if --run hadn't been passed.
+  if test $? = 63; then
+    run=:
+    msg="probably too old"
+  fi
   ;;
-esac
-
-# If it does not exist, or fails to run (possibly an outdated version),
-# try to emulate it.
-case "$1" in
 
   -h|--h|--he|--hel|--help)
     echo "\
@@ -74,11 +84,15 @@
   lex          create \`lex.yy.c', if possible, from existing .c
   makeinfo     touch the output file
   tar          try tar, gnutar, gtar, then tar without non-portable flags
-  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
+  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]
+
+Send bug reports to <bug-automake@gnu.org>."
+    exit 0
     ;;
 
   -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
-    echo "missing 0.3 - GNU automake"
+    echo "missing $scriptversion (GNU Automake)"
+    exit 0
     ;;
 
   -*)
@@ -87,9 +101,44 @@
     exit 1
     ;;
 
-  aclocal)
+esac
+
+# Now exit if we have it, but it failed.  Also exit now if we
+# don't have it and --version was passed (most likely to detect
+# the program).
+case "$1" in
+  lex|yacc)
+    # Not GNU programs, they don't have --version.
+    ;;
+
+  tar)
+    if test -n "$run"; then
+       echo 1>&2 "ERROR: \`tar' requires --run"
+       exit 1
+    elif test "x$2" = "x--version" || test "x$2" = "x--help"; then
+       exit 1
+    fi
+    ;;
+
+  *)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    elif test "x$2" = "x--version" || test "x$2" = "x--help"; then
+       # Could not run --version or --help.  This is probably someone
+       # running `$TOOL --version' or `$TOOL --help' to check whether
+       # $TOOL exists and not knowing $TOOL uses missing.
+       exit 1
+    fi
+    ;;
+esac
+
+# If it does not exist, or fails to run (possibly an outdated version),
+# try to emulate it.
+case "$1" in
+  aclocal*)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
          to install the \`Automake' and \`Perl' packages.  Grab them from
          any GNU archive site."
@@ -98,7 +147,7 @@
 
   autoconf)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified \`${configure_ac}'.  You might want to install the
          \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
          archive site."
@@ -107,7 +156,7 @@
 
   autoheader)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified \`acconfig.h' or \`${configure_ac}'.  You might want
          to install the \`Autoconf' and \`GNU m4' packages.  Grab them
          from any GNU archive site."
@@ -124,9 +173,9 @@
     touch $touch_files
     ;;
 
-  automake)
+  automake*)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
          You might want to install the \`Automake' and \`Perl' packages.
          Grab them from any GNU archive site."
@@ -135,9 +184,32 @@
 	   while read f; do touch "$f"; done
     ;;
 
+  autom4te)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, but is $msg.
+         You might have modified some files without having the
+         proper tools for further handling them.
+         You can get \`$1' as part of \`Autoconf' from any GNU
+         archive site."
+
+    file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
+    test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
+    if test -f "$file"; then
+	touch $file
+    else
+	test -z "$file" || exec >$file
+	echo "#! /bin/sh"
+	echo "# Created by GNU Automake missing as a replacement of"
+	echo "#  $ $@"
+	echo "exit 0"
+	chmod +x $file
+	exit 1
+    fi
+    ;;
+
   bison|yacc)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' $msg.  You should only need it if
          you modified a \`.y' file.  You may need the \`Bison' package
          in order for those modifications to take effect.  You can get
          \`Bison' from any GNU archive site."
@@ -167,7 +239,7 @@
 
   lex|flex)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified a \`.l' file.  You may need the \`Flex' package
          in order for those modifications to take effect.  You can get
          \`Flex' from any GNU archive site."
@@ -190,7 +262,7 @@
 
   help2man)
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
 	 you modified a dependency of a manual page.  You may need the
 	 \`Help2man' package in order for those modifications to take
 	 effect.  You can get \`Help2man' from any GNU archive site."
@@ -209,13 +281,8 @@
     ;;
 
   makeinfo)
-    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
-       # We have makeinfo, but it failed.
-       exit 1
-    fi
-
     echo 1>&2 "\
-WARNING: \`$1' is missing on your system.  You should only need it if
+WARNING: \`$1' is $msg.  You should only need it if
          you modified a \`.texi' or \`.texinfo' file, or any other file
          indirectly affecting the aspect of the manual.  The spurious
          call might also be the consequence of using a buggy \`make' (AIX,
@@ -231,32 +298,28 @@
 
   tar)
     shift
-    if test -n "$run"; then
-      echo 1>&2 "ERROR: \`tar' requires --run"
-      exit 1
-    fi
 
     # We have already tried tar in the generic part.
     # Look for gnutar/gtar before invocation to avoid ugly error
     # messages.
     if (gnutar --version > /dev/null 2>&1); then
-       gnutar ${1+"$@"} && exit 0
+       gnutar "$@" && exit 0
     fi
     if (gtar --version > /dev/null 2>&1); then
-       gtar ${1+"$@"} && exit 0
+       gtar "$@" && exit 0
     fi
     firstarg="$1"
     if shift; then
 	case "$firstarg" in
 	*o*)
 	    firstarg=`echo "$firstarg" | sed s/o//`
-	    tar "$firstarg" ${1+"$@"} && exit 0
+	    tar "$firstarg" "$@" && exit 0
 	    ;;
 	esac
 	case "$firstarg" in
 	*h*)
 	    firstarg=`echo "$firstarg" | sed s/h//`
-	    tar "$firstarg" ${1+"$@"} && exit 0
+	    tar "$firstarg" "$@" && exit 0
 	    ;;
 	esac
     fi
@@ -270,10 +333,10 @@
 
   *)
     echo 1>&2 "\
-WARNING: \`$1' is needed, and you do not seem to have it handy on your
-         system.  You might have modified some files without having the
+WARNING: \`$1' is needed, and is $msg.
+         You might have modified some files without having the
          proper tools for further handling them.  Check the \`README' file,
-         it often tells you about the needed prerequirements for installing
+         it often tells you about the needed prerequisites for installing
          this package.  You may also peek at any GNU archive site, in case
          some other package would contain this missing \`$1' program."
     exit 1
@@ -281,3 +344,10 @@
 esac
 
 exit 0
+
+# Local variables:
+# eval: (add-hook 'write-file-hooks 'time-stamp)
+# time-stamp-start: "scriptversion="
+# time-stamp-format: "%:y-%02m-%02d.%02H"
+# time-stamp-end: "$"
+# End:
diff -Nru audiofile-0.2.6/NEWS audiofile-0.2.7/NEWS
--- audiofile-0.2.6/NEWS	2004-03-06 08:39:33.000000000 +0100
+++ audiofile-0.2.7/NEWS	2010-03-22 06:43:46.000000000 +0100
@@ -1,5 +1,13 @@
-News for Audio File Library version 0.2.6
+News for Audio File Library version 0.2.7
 
-Added support for AVR, IFF/8SVX, and NIST SPHERE file formats.
+Fix decoding of multi-channel ADPCM WAVE files.
 
-Added example program demonstrating audio file playback on Mac OS X.
+Reduce unshared data in library.
+
+Fix handling of audio files with more than 2^24 frames.
+
+Add support for writing double-precision floating-point WAVE files.
+
+Add support for reading certain uncompressed AIFF-C files created by Mac OS X.
+
+Write fact chunk in floating-point WAVE files.
diff -Nru audiofile-0.2.6/NOTES audiofile-0.2.7/NOTES
--- audiofile-0.2.6/NOTES	2004-03-06 08:39:33.000000000 +0100
+++ audiofile-0.2.7/NOTES	2010-03-22 06:43:49.000000000 +0100
@@ -1,4 +1,4 @@
-Audio File Library 0.2.6
+Audio File Library 0.2.7
 Development Notes
 Michael Pruett <michael@68k.org>
 
@@ -35,7 +35,6 @@
 This version of the Audio File Library has been tested under the
 following operating environments:
 
-	mips-sgi-irix6.5 / IRIX 6.5 (MIPSpro cc 7.4m)
-	powerpc-apple-darwin7.2.0 / Mac OS X 10.3.2 (gcc 3.3)
-	i686-pc-linux-gnu / Debian GNU/Linux 3.0 (gcc 2.95.4)
-	sparc-sun-solaris2.9 / Solaris 9 (gcc 3.0.4)
+	mips-sgi-irix6.5 / IRIX 6.5 (MIPSpro cc 7.4)
+	powerpc-apple-darwin8.11.0 / Mac OS X 10.4.11 (gcc 4.0.1)
+	i686-pc-linux-gnu / Ubuntu 9.10 (gcc 4.4.1)
diff -Nru audiofile-0.2.6/README audiofile-0.2.7/README
--- audiofile-0.2.6/README	2004-03-06 08:51:39.000000000 +0100
+++ audiofile-0.2.7/README	2010-03-22 06:43:40.000000000 +0100
@@ -1,8 +1,8 @@
 Audio File Library
-Version 0.2.6
-Friday, 5 March 2004
+Version 0.2.7
+Sunday, 21 March 2010
 
-Copyright (C) 1998-2000, 2003-2004, Michael Pruett
+Copyright (C) 1998-2000, 2003-2004, 2010, Michael Pruett
 Copyright (C) 2000-2001, Silicon Graphics, Inc.
 
 michael@68k.org
diff -Nru audiofile-0.2.6/sfcommands/sfconvert.c audiofile-0.2.7/sfcommands/sfconvert.c
--- audiofile-0.2.6/sfcommands/sfconvert.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/sfcommands/sfconvert.c	2010-03-12 09:57:54.000000000 +0100
@@ -98,6 +98,8 @@
 				outFileFormat = AF_FILE_NEXTSND;
 			else if (!strcmp(argv[i+1], "bics"))
 				outFileFormat = AF_FILE_BICSF;
+			else if (!strcmp(argv[i+1], "nist"))
+				outFileFormat = AF_FILE_NIST_SPHERE;
 			else
 			{
 				fprintf(stderr, "sfconvert: Unknown format %s.\n", argv[i+1]);
diff -Nru audiofile-0.2.6/test/error.c audiofile-0.2.7/test/error.c
--- audiofile-0.2.6/test/error.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/error.c	2010-03-15 12:14:55.000000000 +0100
@@ -25,6 +25,8 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
+
 #include <audiofile.h>
 
 int expectedError;
diff -Nru audiofile-0.2.6/test/instparamtest.c audiofile-0.2.7/test/instparamtest.c
--- audiofile-0.2.6/test/instparamtest.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/instparamtest.c	2010-03-15 12:19:41.000000000 +0100
@@ -24,7 +24,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 
-main (int argc, char **argv)
+int main (int argc, char **argv)
 {
 	AFfilehandle	file;
 	long		result;
@@ -74,4 +74,6 @@
 	printf("release loop id: %ld\n", result);
 
 	afCloseFile(file);
+
+	return 0;
 }
diff -Nru audiofile-0.2.6/test/instparamwrite.c audiofile-0.2.7/test/instparamwrite.c
--- audiofile-0.2.6/test/instparamwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/instparamwrite.c	2010-03-15 12:19:30.000000000 +0100
@@ -23,7 +23,7 @@
 
 #include <audiofile.h>
 
-main (int argc, char **argv)
+int main (int argc, char **argv)
 {
 	AFfilehandle	file;
 	AFfilesetup	setup;
@@ -52,4 +52,6 @@
 	afSetInstParamLong(file, AF_DEFAULT_INST, AF_INST_NUMCENTS_DETUNE, -30);
 
 	afCloseFile(file);
+
+	return 0;
 }
diff -Nru audiofile-0.2.6/test/large.c audiofile-0.2.7/test/large.c
--- audiofile-0.2.6/test/large.c	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/test/large.c	2010-03-19 04:03:58.000000000 +0100
@@ -0,0 +1,122 @@
+/*
+	Audio File Library
+
+	Copyright (c) 2010, Michael Pruett <michael@68k.org>
+
+	This program is free software; you can redistribute it and/or
+	modify it under the terms of the GNU General Public License as
+	published by the Free Software Foundation; either version 2 of
+	the License, or (at your option) any later version.
+
+	This program is distributed in the hope that it will be
+	useful, but WITHOUT ANY WARRANTY; without even the implied
+	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+	PURPOSE.  See the GNU General Public License for more details.
+
+	You should have received a copy of the GNU General Public
+	License along with this program; if not, write to the Free
+	Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+	MA 02111-1307, USA.
+*/
+
+/*
+	This program tests writing and reading audio files with more
+	than 2^24 frames.
+
+	This program serves as a regression test for a bug in which
+	writing certain audio file formats with more than 2^24 frames
+	would produce files with incorrect sizes.
+*/
+
+#include <audiofile.h>
+
+#include <stdbool.h>
+#include <stdint.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <unistd.h>
+
+static const char *testFileName = "/tmp/audiofile-test";
+
+void cleanup ()
+{
+	unlink(testFileName);
+}
+
+void ensure (bool condition, const char *message)
+{
+	if (!condition)
+	{
+		fprintf(stderr, "%s\n", message);
+		cleanup();
+		exit(EXIT_FAILURE);
+	}
+}
+
+void writeLargeFile(int fileFormat)
+{
+	fprintf(stderr, "Testing %s\n",
+		afQueryPointer(AF_QUERYTYPE_FILEFMT, AF_QUERY_NAME, fileFormat, 0, 0));
+	AFfilesetup setup = afNewFileSetup();
+	afInitFileFormat(setup, fileFormat);
+	afInitChannels(setup, AF_DEFAULT_TRACK, 1);
+	afInitSampleFormat(setup, AF_DEFAULT_TRACK, AF_SAMPFMT_TWOSCOMP, 16);
+	AFfilehandle file = afOpenFile(testFileName, "w", setup);
+	afFreeFileSetup(setup);
+	ensure(file, "Could not open file for writing");
+
+	const int bufferFrameCount = 32768;
+	int16_t *data = malloc(bufferFrameCount * sizeof (int16_t));
+	const AFframecount frameCount = 0x1000007;
+	AFframecount framesWritten = 0;
+	while (framesWritten < frameCount)
+	{
+		AFframecount framesToWrite = bufferFrameCount;
+		if (framesToWrite > frameCount - framesWritten)
+			framesToWrite = frameCount - framesWritten;
+		int dataValue = framesWritten % 32749;
+		for (int i=0; i<bufferFrameCount; i++, dataValue++)
+			data[i] = dataValue % 32749;
+		afWriteFrames(file, AF_DEFAULT_TRACK, data, framesToWrite);
+		framesWritten += framesToWrite;
+	}
+	ensure(afGetFrameCount(file, AF_DEFAULT_TRACK) == frameCount,
+		"Incorrect frame count for file");
+	afCloseFile(file);
+
+	file = afOpenFile(testFileName, "r", AF_NULL_FILESETUP);
+	ensure(file, "Could not open file for reading");
+	ensure(afGetFrameCount(file, AF_DEFAULT_TRACK) == frameCount,
+		"Incorrect frame count in file opened for reading");
+	ensure(afGetTrackBytes(file, AF_DEFAULT_TRACK) == frameCount * sizeof (int16_t),
+		"Incorrect byte size in file opened for reading");
+	AFframecount framesRead = 0;
+	while (framesRead < frameCount)
+	{
+		AFframecount framesToRead = bufferFrameCount;
+		if (framesToRead > frameCount - framesRead)
+			framesToRead = frameCount - framesRead;
+		afReadFrames(file, AF_DEFAULT_TRACK, data, framesToRead);
+		bool valid = true;
+		int dataValue = framesRead % 32749;
+		for (int i=0; i<framesToRead; i++, dataValue++)
+			if (data[i] != dataValue % 32749)
+			{
+				valid = false;
+				break;
+			}
+		ensure(valid, "Data read does not match data written");
+		framesRead += framesToRead;
+	}
+	free(data);
+	afCloseFile(file);
+	cleanup();
+}
+
+int main (int argc, char **argv)
+{
+	int fileFormats[] = { AF_FILE_AIFF, AF_FILE_AIFFC, AF_FILE_NEXTSND, AF_FILE_WAVE, AF_FILE_IRCAM, AF_FILE_AVR };
+	int numFileFormats = sizeof (fileFormats) / sizeof (fileFormats[0]);
+	for (int i=0; i<numFileFormats; i++)
+		writeLargeFile(fileFormats[i]);
+}
diff -Nru audiofile-0.2.6/test/Makefile.am audiofile-0.2.7/test/Makefile.am
--- audiofile-0.2.6/test/Makefile.am	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/Makefile.am	2010-03-19 07:48:34.000000000 +0100
@@ -23,13 +23,15 @@
 	instparamtest \
 	sixteen-to-eight \
 	testfloat \
+	testdouble \
 	twentyfour \
 	twentyfour2 \
 	pipe \
 	testmarkers \
 	testchannelmatrix \
 	printmarkers \
-	seek
+	seek \
+	large
 
 EXTRA_DIST = transparency.sh misc.sh pipe.sh
 
@@ -38,7 +40,7 @@
 	writeulaw writealaw \
 	misc.sh transparency.sh pipe.sh \
 	query2 sixteen-to-eight twentyfour twentyfour2 floatto24 \
-	testfloat testmarkers testchannelmatrix seek
+	testfloat testdouble testmarkers testchannelmatrix seek large
 
 LDADD = $(top_builddir)/libaudiofile/libaudiofile.la
 
diff -Nru audiofile-0.2.6/test/miscread.c audiofile-0.2.7/test/miscread.c
--- audiofile-0.2.6/test/miscread.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/miscread.c	2010-03-15 11:41:30.000000000 +0100
@@ -23,9 +23,9 @@
 #include <config.h>
 #endif
 
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
-#include <sys/types.h>
 
 #ifdef __USE_SGI_HEADERS__
 #include <dmedia/audiofile.h>
@@ -34,7 +34,7 @@
 #endif
 
 /* Two frames of 16-bit stereo samples. */
-u_int16_t data[] = {0, 1, 2, 3};
+uint16_t data[] = {0, 1, 2, 3};
 
 int main (int argc, char **argv)
 {
diff -Nru audiofile-0.2.6/test/miscwrite.c audiofile-0.2.7/test/miscwrite.c
--- audiofile-0.2.6/test/miscwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/miscwrite.c	2010-03-22 02:07:47.000000000 +0100
@@ -23,10 +23,10 @@
 #include <config.h>
 #endif
 
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <sys/types.h>
 
 #ifdef __USE_SGI_HEADERS__
 #include <dmedia/audiofile.h>
@@ -44,7 +44,7 @@
 char name[] = "Michael Pruett's home-brew methamphetamines";
 
 /* Two frames of 16-bit stereo samples. */
-u_int16_t data[] = {0, 1, 2, 3};
+uint16_t data[] = {0, 1, 2, 3};
 
 int main (int argc, char **argv)
 {
diff -Nru audiofile-0.2.6/test/pipe.c audiofile-0.2.7/test/pipe.c
--- audiofile-0.2.6/test/pipe.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/pipe.c	2010-03-15 12:17:04.000000000 +0100
@@ -30,13 +30,12 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
-#include <audiofile.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
+
+#include <audiofile.h>
 
 #define SAMPLE_COUNT 12
 #define FRAME_COUNT 6
diff -Nru audiofile-0.2.6/test/printmarkers.c audiofile-0.2.7/test/printmarkers.c
--- audiofile-0.2.6/test/printmarkers.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/printmarkers.c	2010-03-15 12:15:43.000000000 +0100
@@ -29,9 +29,10 @@
 #include <config.h>
 #endif
 
+#include <math.h>
 #include <stdio.h>
 #include <stdlib.h>
-#include <assert.h>
+
 #include <audiofile.h>
 
 void printtime (AFframecount position, double rate)
diff -Nru audiofile-0.2.6/test/seek.c audiofile-0.2.7/test/seek.c
--- audiofile-0.2.6/test/seek.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/seek.c	2010-03-15 12:17:42.000000000 +0100
@@ -32,6 +32,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <unistd.h>
 
 #include <audiofile.h>
 
diff -Nru audiofile-0.2.6/test/sixteen-to-eight.c audiofile-0.2.7/test/sixteen-to-eight.c
--- audiofile-0.2.6/test/sixteen-to-eight.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/sixteen-to-eight.c	2010-03-15 12:16:06.000000000 +0100
@@ -30,12 +30,12 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
+#include <unistd.h>
+
 #include <audiofile.h>
 
 #define TEST_FILE "/tmp/test.wave"
diff -Nru audiofile-0.2.6/test/testchannelmatrix.c audiofile-0.2.7/test/testchannelmatrix.c
--- audiofile-0.2.6/test/testchannelmatrix.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/testchannelmatrix.c	2010-03-15 12:14:29.000000000 +0100
@@ -30,9 +30,11 @@
 #include <config.h>
 #endif
 
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <unistd.h>
+
 #include <audiofile.h>
 
 #define TEST_FILE "/tmp/test.aiff"
diff -Nru audiofile-0.2.6/test/testdouble.c audiofile-0.2.7/test/testdouble.c
--- audiofile-0.2.6/test/testdouble.c	1970-01-01 01:00:00.000000000 +0100
+++ audiofile-0.2.7/test/testdouble.c	2010-03-19 07:48:34.000000000 +0100
@@ -0,0 +1,132 @@
+/*
+	Audio File Library
+
+	Copyright (C) 2001, Silicon Graphics, Inc.
+
+	This program is free software; you can redistribute it and/or
+	modify it under the terms of the GNU General Public License as
+	published by the Free Software Foundation; either version 2 of
+	the License, or (at your option) any later version.
+
+	This program is distributed in the hope that it will be
+	useful, but WITHOUT ANY WARRANTY; without even the implied
+	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+	PURPOSE.  See the GNU General Public License for more details.
+
+	You should have received a copy of the GNU General Public
+	License along with this program; if not, write to the Free
+	Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+	MA 02111-1307, USA.
+*/
+
+/*
+	testdouble.c
+
+	This program tests double-precision floating-point reading and
+	writing for the AIFF-C, WAVE, and NeXT .snd file formats.
+*/
+
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <stdio.h>
+#include <stdlib.h>
+#include <unistd.h>
+
+#include <audiofile.h>
+
+#define TEST_FILE "/tmp/test.double"
+
+const double samples[] =
+	{1.0, 0.6, -0.3, 0.95, 0.2, -0.6, 0.9, 0.4, -0.22, 0.125, 0.1, -0.4};
+const int SAMPLE_COUNT = sizeof (samples) / sizeof (samples[0]);
+
+void testdouble (int fileFormat);
+
+void cleanup (void)
+{
+	unlink(TEST_FILE);
+}
+
+void ensure (int condition, const char *message)
+{
+	if (!condition)
+	{
+		printf("%s.\n", message);
+		cleanup();
+		exit(EXIT_FAILURE);
+	}
+}
+
+int main (int argc, char **argv)
+{
+	/* These file formats support double-precision floating-point audio data. */
+	const int fileFormats[] =
+		{ AF_FILE_AIFFC, AF_FILE_WAVE, AF_FILE_NEXTSND };
+	const int fileFormatCount = sizeof (fileFormats) / sizeof (fileFormats[0]);
+	int	i;
+
+	for (i=0; i<fileFormatCount; i++)
+	{
+		printf("testdouble: testing %s\n",
+			(char *) afQueryPointer(AF_QUERYTYPE_FILEFMT, AF_QUERY_NAME, fileFormats[i], 0, 0));
+		testdouble(fileFormats[i]);
+	}
+
+	printf("testdouble passed\n");
+	exit(EXIT_SUCCESS);
+}
+
+void testdouble (int fileFormat)
+{
+	AFfilesetup	setup;
+	AFfilehandle	file;
+	int		framesWritten, framesRead;
+	const int 	frameCount = SAMPLE_COUNT/2;
+	double		readsamples[SAMPLE_COUNT];
+	int		i;
+	int		sampleFormat, sampleWidth;
+
+	setup = afNewFileSetup();
+
+	afInitFileFormat(setup, fileFormat);
+	afInitSampleFormat(setup, AF_DEFAULT_TRACK, AF_SAMPFMT_DOUBLE, 64);
+	afInitChannels(setup, AF_DEFAULT_TRACK, 2);
+
+	file = afOpenFile(TEST_FILE, "w", setup);
+	ensure(file != AF_NULL_FILEHANDLE, "could not open file for writing");
+
+	afFreeFileSetup(setup);
+
+	framesWritten = afWriteFrames(file, AF_DEFAULT_TRACK, samples,
+		frameCount);
+	ensure(framesWritten == frameCount, "number of frames written does not match number of frames requested");
+
+	ensure(afCloseFile(file) == 0, "error closing file");
+
+	file = afOpenFile(TEST_FILE, "r", AF_NULL_FILESETUP);
+	ensure(file != AF_NULL_FILEHANDLE, "could not open file for reading");
+
+	ensure(afGetChannels(file, AF_DEFAULT_TRACK) == 2,
+		"file doesn't have exactly two channels");
+	afGetSampleFormat(file, AF_DEFAULT_TRACK, &sampleFormat, &sampleWidth);
+	ensure(sampleFormat == AF_SAMPFMT_DOUBLE && sampleWidth == 64,
+		"file doesn't contain 64-bit floating-point data");
+	ensure(afGetFileFormat(file, NULL) == fileFormat,
+		"file format doesn't match format requested");
+
+	framesRead = afReadFrames(file, AF_DEFAULT_TRACK, readsamples,
+		frameCount);
+	ensure(framesRead == frameCount, "number of frames read does not match number of frames requested");
+
+	for (i=0; i<SAMPLE_COUNT; i++)
+	{
+		ensure(readsamples[i] == samples[i],
+			"data written to file doesn't match data read");
+	}
+
+	ensure(afCloseFile(file) == 0, "error closing file");
+
+	cleanup();
+}
diff -Nru audiofile-0.2.6/test/testmarkers.c audiofile-0.2.7/test/testmarkers.c
--- audiofile-0.2.6/test/testmarkers.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/testmarkers.c	2010-03-15 12:17:30.000000000 +0100
@@ -25,7 +25,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
-#include <assert.h>
+#include <string.h>
+#include <unistd.h>
+
 #include <audiofile.h>
 
 #define TEST_FILE "/tmp/markers.test"
diff -Nru audiofile-0.2.6/test/twentyfour2.c audiofile-0.2.7/test/twentyfour2.c
--- audiofile-0.2.6/test/twentyfour2.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/twentyfour2.c	2010-03-15 12:20:07.000000000 +0100
@@ -35,12 +35,11 @@
 #include <config.h>
 #endif
 
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
-
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
+#include <string.h>
+#include <unistd.h>
 
 #include <audiofile.h>
 
diff -Nru audiofile-0.2.6/test/twentyfour.c audiofile-0.2.7/test/twentyfour.c
--- audiofile-0.2.6/test/twentyfour.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/twentyfour.c	2010-03-15 12:16:40.000000000 +0100
@@ -31,14 +31,14 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
+#include <assert.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
+#include <unistd.h>
+
 #include <audiofile.h>
-#include <assert.h>
 
 #define TEST_FILE "/tmp/test.aiff"
 #define FRAME_COUNT 6
@@ -50,7 +50,7 @@
 	/* All elements in frames32 must be in the range -2^23 to 2^23 - 1. */
 	const int32_t frames32[FRAME_COUNT] =
 		{4314298, -49392, 3923, -143683, 43, -992129};
-	const u_int8_t frames24[FRAME_COUNT*3] =
+	const uint8_t frames24[FRAME_COUNT*3] =
 		{
 			0x41, 0xd4, 0xba,	/* 4314298 */
 			0xff, 0x3f, 0x10,	/* -49392 */
@@ -99,9 +99,9 @@
 
 	for (i=0; i<FRAME_COUNT; i++)
 	{
-		u_int8_t	x[4];
-		u_int8_t	y[4];
-		u_int8_t	z[4];
+		uint8_t	x[4];
+		uint8_t	y[4];
+		uint8_t	z[4];
 
 		if ((frames32[i] & 0x800000) != 0)
 			x[0] = 0xff;
@@ -168,9 +168,9 @@
 
 	for (i=0; i<FRAME_COUNT; i++)
 	{
-		u_int8_t	x[4];
-		u_int8_t	y[4];
-		u_int8_t	z[4];
+		uint8_t	x[4];
+		uint8_t	y[4];
+		uint8_t	z[4];
 
 		x[0] = (frames32[i] >> 16) & 0xff;
 		x[1] = (frames32[i] >> 8) & 0xff;
diff -Nru audiofile-0.2.6/test/writeaiff.c audiofile-0.2.7/test/writeaiff.c
--- audiofile-0.2.6/test/writeaiff.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/writeaiff.c	2010-03-15 11:41:30.000000000 +0100
@@ -36,9 +36,10 @@
 #include <audiofile.h>
 #endif
 
+#include <stdint.h>
+#include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
-#include <stdio.h>
 
 #define TEST_FILE "/tmp/test.aiff"
 
@@ -63,7 +64,7 @@
 {
 	AFfilehandle	file;
 	AFfilesetup		setup;
-	u_int16_t		samples[] = {11, 51, 101, 501, 1001, 5001, 10001, 50001};
+	uint16_t		samples[] = {11, 51, 101, 501, 1001, 5001, 10001, 50001};
 	int				i;
 	int				sampleFormat, sampleWidth;
 	int				framesRead, framesWritten;
@@ -103,7 +104,7 @@
 
 	for (i=0; i<8; i++)
 	{
-		u_int16_t	temporary;
+		uint16_t	temporary;
 
 		framesRead = afReadFrames(file, AF_DEFAULT_TRACK, &temporary, 1);
 		ensure(framesRead == 1,
diff -Nru audiofile-0.2.6/test/writealaw.c audiofile-0.2.7/test/writealaw.c
--- audiofile-0.2.6/test/writealaw.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/writealaw.c	2010-03-15 11:41:30.000000000 +0100
@@ -46,6 +46,7 @@
 #include <audiofile.h>
 #endif
 
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
@@ -92,9 +93,9 @@
 {
 	AFfilehandle	file;
 	AFfilesetup	setup;
-	u_int16_t	samples[] = {8, 24, 88, 120, 184, 784, 912, 976,
+	uint16_t	samples[] = {8, 24, 88, 120, 184, 784, 912, 976,
                         1120, 1440, 1888, 8960, 9984, 16128, 19968, 32256};
-	u_int16_t	readsamples[SAMPLE_COUNT];
+	uint16_t	readsamples[SAMPLE_COUNT];
 	AFframecount	framesWritten, framesRead;
 	int		i;
 
diff -Nru audiofile-0.2.6/test/writeavr.c audiofile-0.2.7/test/writeavr.c
--- audiofile-0.2.6/test/writeavr.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/writeavr.c	2010-03-15 11:41:30.000000000 +0100
@@ -36,9 +36,10 @@
 #include <audiofile.h>
 #endif
 
+#include <stdint.h>
+#include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
-#include <stdio.h>
 
 #define TEST_FILE "/tmp/test.avr"
 
diff -Nru audiofile-0.2.6/test/writeiff.c audiofile-0.2.7/test/writeiff.c
--- audiofile-0.2.6/test/writeiff.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/writeiff.c	2010-03-15 11:41:30.000000000 +0100
@@ -36,9 +36,10 @@
 #include <audiofile.h>
 #endif
 
+#include <stdint.h>
+#include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
-#include <stdio.h>
 
 #define TEST_FILE "/tmp/test.iff"
 
diff -Nru audiofile-0.2.6/test/writeircam.c audiofile-0.2.7/test/writeircam.c
--- audiofile-0.2.6/test/writeircam.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/test/writeircam.c	2010-03-15 11:41:30.000000000 +0100
@@ -36,9 +36,10 @@
 #include <audiofile.h>
 #endif
 
+#include <stdint.h>
+#include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
-#include <stdio.h>
 
 #define TEST_FILE "/tmp/test.au"
 
@@ -63,7 +64,7 @@
 {
 	AFfilehandle	file;
 	AFfilesetup	setup;
-	u_int16_t	samples[] = {11, 51, 101, 501, 1001, 5001, 10001, 50001};
+	uint16_t	samples[] = {11, 51, 101, 501, 1001, 5001, 10001, 50001};
 	int		i;
 	int		sampleFormat, sampleWidth;
 	int		framesRead, framesWritten;
@@ -108,7 +109,7 @@
 
 	for (i=0; i<8; i++)
 	{
-		u_int16_t	temporary;
+		uint16_t	temporary;
 
 		framesRead = afReadFrames(file, AF_DEFAULT_TRACK, &temporary, 1);
 		ensure(framesRead == 1,
